
int _efl_ui_item_index_get(const Eo *obj, Efl_Ui_Item_Data *pd);


static Eina_Value
__eolian_efl_ui_item_index_get_reflect(const Eo *obj)
{
   int val = efl_ui_item_index_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_item_index_get, int, 0);

void _efl_ui_item_container_set(Eo *obj, Efl_Ui_Item_Data *pd, Efl_Ui_Widget *container);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_item_container_set, EFL_FUNC_CALL(container), Efl_Ui_Widget *container);

Efl_Ui_Widget *_efl_ui_item_container_get(const Eo *obj, Efl_Ui_Item_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_item_container_get, Efl_Ui_Widget *, NULL);

void _efl_ui_item_item_parent_set(Eo *obj, Efl_Ui_Item_Data *pd, Efl_Ui_Item *parent);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_item_parent_set, EFL_FUNC_CALL(parent), Efl_Ui_Item *parent);

Efl_Ui_Item *_efl_ui_item_item_parent_get(const Eo *obj, Efl_Ui_Item_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_item_parent_get, Efl_Ui_Item *, NULL);

void _efl_ui_item_calc_locked_set(Eo *obj, Efl_Ui_Item_Data *pd, Eina_Bool locked);


static Eina_Error
__eolian_efl_ui_item_calc_locked_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_item_calc_locked_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_item_calc_locked_set, EFL_FUNC_CALL(locked), Eina_Bool locked);

Eina_Bool _efl_ui_item_calc_locked_get(const Eo *obj, Efl_Ui_Item_Data *pd);


static Eina_Value
__eolian_efl_ui_item_calc_locked_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_item_calc_locked_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_item_calc_locked_get, Eina_Bool, 0);

Efl_Object *_efl_ui_item_efl_object_constructor(Eo *obj, Efl_Ui_Item_Data *pd);


Efl_Object *_efl_ui_item_efl_object_finalize(Eo *obj, Efl_Ui_Item_Data *pd);


void _efl_ui_item_efl_object_destructor(Eo *obj, Efl_Ui_Item_Data *pd);


void _efl_ui_item_efl_ui_selectable_selected_set(Eo *obj, Efl_Ui_Item_Data *pd, Eina_Bool selected);


Eina_Bool _efl_ui_item_efl_ui_selectable_selected_get(const Eo *obj, Efl_Ui_Item_Data *pd);


Eina_Bool _efl_ui_item_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Item_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


void _efl_ui_item_efl_canvas_group_group_need_recalculate_set(Eo *obj, Efl_Ui_Item_Data *pd, Eina_Bool value);


static Eina_Bool
_efl_ui_item_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_ITEM_EXTRA_OPS
#define EFL_UI_ITEM_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_item_index_get, _efl_ui_item_index_get),
      EFL_OBJECT_OP_FUNC(efl_ui_item_container_set, _efl_ui_item_container_set),
      EFL_OBJECT_OP_FUNC(efl_ui_item_container_get, _efl_ui_item_container_get),
      EFL_OBJECT_OP_FUNC(efl_ui_item_parent_set, _efl_ui_item_item_parent_set),
      EFL_OBJECT_OP_FUNC(efl_ui_item_parent_get, _efl_ui_item_item_parent_get),
      EFL_OBJECT_OP_FUNC(efl_ui_item_calc_locked_set, _efl_ui_item_calc_locked_set),
      EFL_OBJECT_OP_FUNC(efl_ui_item_calc_locked_get, _efl_ui_item_calc_locked_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_item_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_item_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_item_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_selected_set, _efl_ui_item_efl_ui_selectable_selected_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_selected_get, _efl_ui_item_efl_ui_selectable_selected_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_item_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_need_recalculate_set, _efl_ui_item_efl_canvas_group_group_need_recalculate_set),
      EFL_UI_ITEM_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"index", NULL, __eolian_efl_ui_item_index_get_reflect},
      {"calc_locked", __eolian_efl_ui_item_calc_locked_set_reflect, __eolian_efl_ui_item_calc_locked_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_item_class_desc = {
   EO_VERSION,
   "Efl.Ui.Item",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Ui_Item_Data),
   _efl_ui_item_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_item_class_get, &_efl_ui_item_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_UI_SELECTABLE_INTERFACE, EFL_INPUT_CLICKABLE_MIXIN, NULL);
